Package org.jbpm.kie.services.impl.model

## Class UserTaskInstanceDesc

- java.lang.Object
- - org.jbpm.kie.services.impl.model.UserTaskInstanceDesc

- All Implemented Interfaces:
    `Serializable`, `UserTaskInstanceDesc`
  Direct Known Subclasses:
    `UserTaskInstanceWithPotOwnerDesc`, `UserTaskInstanceWithVarsDesc`

      public class UserTaskInstanceDesc
      extends Object
      implements UserTaskInstanceDesc, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserTaskInstanceDesc​(Long taskId, String name, String description, Integer priority, Date dueDate, String formName)` |
    `UserTaskInstanceDesc​(Long taskId, String status, String actualOwner, String name, String description, Integer priority, String createdBy, String processId, Long processInstanceId, Date createdOn, String formName, String deploymentId, Date dueDate)` |
    `UserTaskInstanceDesc​(Long taskId, String status, Date activationTime, String name, String description, Integer priority, String actualOwner, String createdBy, String deploymentId, String processId, Long processInstanceId, Date createdOn, Date dueDate)` |
    `UserTaskInstanceDesc​(Long taskId, String status, Date activationTime, String name, String description, Integer priority, String actualOwner, String createdBy, String deploymentId, String processId, Long processInstanceId, Date createdOn, Date dueDate, Long workItemId)` |
    `UserTaskInstanceDesc​(Long taskId, String status, Date activationTime, String name, String description, Integer priority, String actualOwner, String createdBy, String deploymentId, String processId, Long processInstanceId, Date createdOn, Date dueDate, Long workItemId, String formName, String subject, String correlationKey, Integer processType)` |
    `UserTaskInstanceDesc​(Long taskId, String status, Date activationTime, String name, String description, Integer priority, String actualOwner, String createdBy, String deploymentId, String processId, Long processInstanceId, Date createdOn, Date dueDate, Long workItemId, String formName, String subject, String correlationKey, Integer processType, Date slaDueDate, Integer slaCompliance)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Date` | `getActivationTime()` | Returns the user task instance activation time.
    `String` | `getActualOwner()` | Returns the user task actual owner.
    `String` | `getCorrelationKey()` | Returns correlation key
    `String` | `getCreatedBy()` | Returns the user task instance created by.
    `Date` | `getCreatedOn()` | Returns the user task instance created on date.
    `String` | `getDeploymentId()` | Returns the user task deployment id.
    `String` | `getDescription()` | Returns the user task instance description.
    `Date` | `getDueDate()` | Returns the user task instance due date.
    `String` | `getFormName()` | Returns the user task form name.
    `String` | `getName()` | Returns the user task instance name.
    `Integer` | `getPriority()` | Returns the user task instance priority.
    `String` | `getProcessId()` | Returns the user task process id.
    `Long` | `getProcessInstanceId()` | Returns the user task instance process instance id.
    `Integer` | `getProcessType()` | Returns process type
    `Integer` | `getSlaCompliance()` | Returns the user task SLA compliance.
    `Date` | `getSlaDueDate()` | Returns the user task SLA due date.
    `String` | `getStatus()` | Returns the user task instance status.
    `String` | `getSubject()` | * Returns task subject
    `Long` | `getTaskId()` | Returns the user task instance task id.
    `Long` | `getWorkItemId()` | Returns the user task workitem id.
    `void` | `setCorrelationKey​(String correlationKey)` | Sets correlation key
    `void` | `setDescription​(String description)` |
    `void` | `setDueDate​(Date dueDate)` |
    `void` | `setFormName​(String formName)` |
    `void` | `setName​(String name)` |
    `void` | `setPriority​(Integer priority)` |
    `void` | `setProcessType​(Integer processType)` | Set process type
    `void` | `setSlaCompliance​(Integer slaCompliance)` | Set the user task SLA compliance.
    `void` | `setSlaDueDate​(Date slaDueDate)` | Set the user task SLA due date.
    `void` | `setSubject​(String subject)` | Set task subject
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserTaskInstanceDesc

          public UserTaskInstanceDesc​(Long taskId,
                                      String status,
                                      Date activationTime,
                                      String name,
                                      String description,
                                      Integer priority,
                                      String actualOwner,
                                      String createdBy,
                                      String deploymentId,
                                      String processId,
                                      Long processInstanceId,
                                      Date createdOn,
                                      Date dueDate)

    - #### UserTaskInstanceDesc

          public UserTaskInstanceDesc​(Long taskId,
                                      String status,
                                      Date activationTime,
                                      String name,
                                      String description,
                                      Integer priority,
                                      String actualOwner,
                                      String createdBy,
                                      String deploymentId,
                                      String processId,
                                      Long processInstanceId,
                                      Date createdOn,
                                      Date dueDate,
                                      Long workItemId)

    - #### UserTaskInstanceDesc

          public UserTaskInstanceDesc​(Long taskId,
                                      String status,
                                      Date activationTime,
                                      String name,
                                      String description,
                                      Integer priority,
                                      String actualOwner,
                                      String createdBy,
                                      String deploymentId,
                                      String processId,
                                      Long processInstanceId,
                                      Date createdOn,
                                      Date dueDate,
                                      Long workItemId,
                                      String formName,
                                      String subject,
                                      String correlationKey,
                                      Integer processType)

    - #### UserTaskInstanceDesc

          public UserTaskInstanceDesc​(Long taskId,
                                      String status,
                                      Date activationTime,
                                      String name,
                                      String description,
                                      Integer priority,
                                      String actualOwner,
                                      String createdBy,
                                      String deploymentId,
                                      String processId,
                                      Long processInstanceId,
                                      Date createdOn,
                                      Date dueDate,
                                      Long workItemId,
                                      String formName,
                                      String subject,
                                      String correlationKey,
                                      Integer processType,
                                      Date slaDueDate,
                                      Integer slaCompliance)

    - #### UserTaskInstanceDesc

          public UserTaskInstanceDesc​(Long taskId,
                                      String name,
                                      String description,
                                      Integer priority,
                                      Date dueDate,
                                      String formName)

    - #### UserTaskInstanceDesc

          public UserTaskInstanceDesc​(Long taskId,
                                      String status,
                                      String actualOwner,
                                      String name,
                                      String description,
                                      Integer priority,
                                      String createdBy,
                                      String processId,
                                      Long processInstanceId,
                                      Date createdOn,
                                      String formName,
                                      String deploymentId,
                                      Date dueDate)

  - ### Method Detail

    - #### getTaskId

          public Long getTaskId()

      Description copied from interface: `UserTaskInstanceDesc`
      Returns the user task instance task id.
      Specified by:
        `getTaskId` in interface `UserTaskInstanceDesc`
      Returns:
        task id

    - #### getStatus

          public String getStatus()

      Description copied from interface: `UserTaskInstanceDesc`
      Returns the user task instance status.
      Specified by:
        `getStatus` in interface `UserTaskInstanceDesc`
      Returns:
        status

    - #### getActivationTime

          public Date getActivationTime()

      Description copied from interface: `UserTaskInstanceDesc`
      Returns the user task instance activation time.
      Specified by:
        `getActivationTime` in interface `UserTaskInstanceDesc`
      Returns:
        activation time

    - #### getName

          public String getName()

      Description copied from interface: `UserTaskInstanceDesc`
      Returns the user task instance name.
      Specified by:
        `getName` in interface `UserTaskInstanceDesc`
      Returns:
        name

    - #### getDescription

          public String getDescription()

      Description copied from interface: `UserTaskInstanceDesc`
      Returns the user task instance description.
      Specified by:
        `getDescription` in interface `UserTaskInstanceDesc`
      Returns:
        description

    - #### getPriority

          public Integer getPriority()

      Description copied from interface: `UserTaskInstanceDesc`
      Returns the user task instance priority.
      Specified by:
        `getPriority` in interface `UserTaskInstanceDesc`
      Returns:
        priority

    - #### getCreatedBy

          public String getCreatedBy()

      Description copied from interface: `UserTaskInstanceDesc`
      Returns the user task instance created by.
      Specified by:
        `getCreatedBy` in interface `UserTaskInstanceDesc`
      Returns:
        created by

    - #### getCreatedOn

          public Date getCreatedOn()

      Description copied from interface: `UserTaskInstanceDesc`
      Returns the user task instance created on date.
      Specified by:
        `getCreatedOn` in interface `UserTaskInstanceDesc`
      Returns:
        created on

    - #### getDueDate

          public Date getDueDate()

      Description copied from interface: `UserTaskInstanceDesc`
      Returns the user task instance due date.
      Specified by:
        `getDueDate` in interface `UserTaskInstanceDesc`
      Returns:
        due date

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Description copied from interface: `UserTaskInstanceDesc`
      Returns the user task instance process instance id.
      Specified by:
        `getProcessInstanceId` in interface `UserTaskInstanceDesc`
      Returns:
        process instance id

    - #### getProcessId

          public String getProcessId()

      Description copied from interface: `UserTaskInstanceDesc`
      Returns the user task process id.
      Specified by:
        `getProcessId` in interface `UserTaskInstanceDesc`
      Returns:
        process id

    - #### getActualOwner

          public String getActualOwner()

      Description copied from interface: `UserTaskInstanceDesc`
      Returns the user task actual owner.
      Specified by:
        `getActualOwner` in interface `UserTaskInstanceDesc`
      Returns:
        actual owner

    - #### getDeploymentId

          public String getDeploymentId()

      Description copied from interface: `UserTaskInstanceDesc`
      Returns the user task deployment id.
      Specified by:
        `getDeploymentId` in interface `UserTaskInstanceDesc`
      Returns:
        deployment id

    - #### getFormName

          public String getFormName()

      Description copied from interface: `UserTaskInstanceDesc`
      Returns the user task form name.
      Specified by:
        `getFormName` in interface `UserTaskInstanceDesc`
      Returns:
        form name

    - #### getWorkItemId

          public Long getWorkItemId()

      Description copied from interface: `UserTaskInstanceDesc`
      Returns the user task workitem id.
      Specified by:
        `getWorkItemId` in interface `UserTaskInstanceDesc`
      Returns:
        workitem id

    - #### getSlaDueDate

          public Date getSlaDueDate()

      Description copied from interface: `UserTaskInstanceDesc`
      Returns the user task SLA due date.
      Specified by:
        `getSlaDueDate` in interface `UserTaskInstanceDesc`
      Returns:
        SLA due date

    - #### getSlaCompliance

          public Integer getSlaCompliance()

      Description copied from interface: `UserTaskInstanceDesc`
      Returns the user task SLA compliance.
      Specified by:
        `getSlaCompliance` in interface `UserTaskInstanceDesc`
      Returns:
        SLA compliance

    - #### setFormName

          public void setFormName​(String formName)

    - #### setName

          public void setName​(String name)

    - #### setDescription

          public void setDescription​(String description)

    - #### setPriority

          public void setPriority​(Integer priority)

    - #### setDueDate

          public void setDueDate​(Date dueDate)

    - #### setSlaDueDate

          public void setSlaDueDate​(Date slaDueDate)

      Description copied from interface: `UserTaskInstanceDesc`
      Set the user task SLA due date.
      Specified by:
        `setSlaDueDate` in interface `UserTaskInstanceDesc`
      Parameters:
        `slaDueDate` - SLA due date

    - #### setSlaCompliance

          public void setSlaCompliance​(Integer slaCompliance)

      Description copied from interface: `UserTaskInstanceDesc`
      Set the user task SLA compliance.
      Specified by:
        `setSlaCompliance` in interface `UserTaskInstanceDesc`
      Parameters:
        `slaCompliance` - SLA compliance value

    - #### getSubject

          public String getSubject()

      Description copied from interface: `UserTaskInstanceDesc`
      * Returns task subject
      Specified by:
        `getSubject` in interface `UserTaskInstanceDesc`
      Returns:
        task subject

    - #### setSubject

          public void setSubject​(String subject)

      Description copied from interface: `UserTaskInstanceDesc`
      Set task subject
      Specified by:
        `setSubject` in interface `UserTaskInstanceDesc`
      Parameters:
        `subject` - task subject

    - #### getCorrelationKey

          public String getCorrelationKey()

      Description copied from interface: `UserTaskInstanceDesc`
      Returns correlation key
      Specified by:
        `getCorrelationKey` in interface `UserTaskInstanceDesc`
      Returns:
        correlation key

    - #### setCorrelationKey

          public void setCorrelationKey​(String correlationKey)

      Description copied from interface: `UserTaskInstanceDesc`
      Sets correlation key
      Specified by:
        `setCorrelationKey` in interface `UserTaskInstanceDesc`

    - #### getProcessType

          public Integer getProcessType()

      Description copied from interface: `UserTaskInstanceDesc`
      Returns process type
      Specified by:
        `getProcessType` in interface `UserTaskInstanceDesc`
      Returns:
        1 if process, 2 if case

    - #### setProcessType

          public void setProcessType​(Integer processType)

      Description copied from interface: `UserTaskInstanceDesc`
      Set process type
      Specified by:
        `setProcessType` in interface `UserTaskInstanceDesc`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`